# -*- coding: utf-8 -*-
import pytest
from jobstream.constants import (
    SNAPSHOT_LEGACY,
    SNAPSHOT_V2,
    STREAM_LEGACY,
    STREAM_V2,
)


@pytest.mark.parametrize(
    "jobstream_fixture",
    [STREAM_V2, STREAM_LEGACY, SNAPSHOT_V2, SNAPSHOT_LEGACY, SNAPSHOT_V2],
    indirect=True,
)
def test_contact_persons(jobstream_fixture):
    for ad in jobstream_fixture:
        ad_id = ad["id"]
        if ad_id in ad_ids:
            assert ad["must_have"]["education"]
            assert ad["must_have"]["education_level"]

        elif ad_id in ad_ids:
            assert ad["nice_to_have"]["education"]
            assert ad["nice_to_have"]["education_level"]


ad_ids = {
    "24252077",
    "24353818",
    "24421299",
    "24421388",
    "24456652",
    "24465853",
    "24482534",
    "24493828",
    "24501291",
    "24507851",
    "24516242",
    "24524793",
    "24525673",
    "24531027",
    "24531419",
    "24532362",
    "24541113",
    "24541202",
    "24541565",
    "24550532",
    "24550057",
    "24552123",
    "24552155",
    "24554295",
    "24555066",
    "24561459",
    "24561499",
    "24562275",
    "24565647",
    "24566659",
    "24567500",
    "24568304",
    "24568581",
    "24571916",
    "24571994",
    "24574056",
    "24574208",
    "24575573",
    "24575721",
    "24576183",
    "24576242",
    "24576250",
    "24576252",
    "24576508",
    "24577031",
    "24578363",
    "24579249",
    "24586622",
    "24586788",
    "24582435",
    "24583138",
    "24583338",
    "24585048",
    "24587131",
    "24589155",
    "24596067",
    "24591780",
    "24592988",
    "24593617",
    "24595146",
    "24598235",
    "24599779",
    "24601274",
    "24601279",
    "24601283",
    "24601452",
    "24601889",
    "24602610",
    "24603214",
    "24603387",
    "24603527",
    "24604307",
    "24605001",
    "24606276",
    "24606305",
    "24606575",
    "24606679",
    "24606787",
    "24607189",
    "24609748",
    "24610607",
    "24611449",
    "24611482",
    "24611700",
    "24612228",
    "24612672",
    "24613269",
    "24613981",
    "24614249",
    "24615259",
    "24615734",
    "24616558",
    "24616943",
    "24618922",
    "24622052",
    "24622697",
    "24622718",
    "24624092",
    "24625189",
    "24626802",
    "24627128",
    "24627789",
    "24627992",
    "24628244",
    "24628695",
    "24628807",
    "24629018",
    "24629767",
    "24631039",
    "24632294",
    "24632318",
    "24632309",
    "24632704",
    "24633518",
    "24633769",
    "24634498",
    "24639389",
    "24639665",
    "24640743",
    "24640755",
    "24641431",
    "24641888",
    "24642218",
    "24643212",
    "24643973",
    "24644192",
    "24644615",
    "24647330",
    "24650784",
}
